local raidw = {}


raidw.title_text = wibox.widget.textbox("Raid")
raidw.title_text.valign = "center"
raidw.title_text.align = "center"
raidw.title_text.font = "Hack NF 10"

raidw.widget = wibox.widget {
	{
		{   -- Right spacer
			widget = wibox.widget.separator,
			color = beautiful.color.transparent,
			forced_width = beautiful.dpi(3)
		},

		wibox.widget {
			raidw.title_text,
			wrapper.mdadm.indicator_text,

			forced_num_cols = 1,
			forced_num_rows = 2,
			homogeneous     = true,
			expand          = true,
			layout = wibox.layout.grid
		},

		{   -- Left spacer
			widget = wibox.widget.separator,
			color = beautiful.color.transparent,
			forced_width = beautiful.dpi(3)
		},

		layout = wibox.layout.align.horizontal,
	},
	layout = wibox.container.background,
}


-- Change background when mouse is over widget
raidw.widget:connect_signal("mouse::enter", function(result)
	raidw.widget.bg = beautiful.color.bar.hover_bg
end)

raidw.widget:connect_signal("mouse::leave", function(result)
	raidw.widget.bg = beautiful.color.transparent
end)

return raidw.widget
